Subject: Re: bug#35586: GNOME

From: Raghav Gururajan <[email-masked]>
Date: Sun, 05 May 2019 15:23:27 -0400

On 5 May 2019 14:52, "pelzflorian (Florian Pelz)" <[email-masked]> wrote:
>
> On Sun, May 05, 2019 at 02:20:39PM -0400, Raghav Gururajan wrote: 
> > Hello Guix! 
> > 
> > Based on the mail-list thread "https://lists.gnu.org/archive/html/help- 
> > guix/2019-05/msg00124.html", it appears that there is a bug, where some 
> > GNOME Core Applications are actually packaged in guix but have not been 
> > included in guix's "gnome" package. 
> > 
>

> Thank you for doing something about this! 

No problem :)

>
>
> > found out that the following gnome core application packages are indeed 
> > packaged in guix, but have not been included in guix's gnome package. 
> > 
> > gnome-calendar 
> > gnome-clocks 
> > gnome-common 
> > gnome-desktop 
>

> gnome-common and gnome-desktop are libraries, not core applications. 

Agreed. Are they still relevant to be included?

> > gnome-dictionary 
> > gnome-doc-utils 

> gnome-doc-utils is not a core application. 

Agreed.

> > gnome-icon-theme 
> > gnome-klotski 
> > gnome-maps 
> > gnome-mime-data 
> > gnome-mines 
> > gnome-mpv 

> gnome-mpv is not core.

Agreed.

> > gnome-planner 
> > gnome-screenshot 
> > gnome-shell-extensions 
> > gnome-sudoku 
> > gnome-todo 
> > gnome-tweak-tool 
> > gnome-vfs 

> I don’t quite know, is gnome-vfs the same as gvfs? 

I don't think so. May be this is the reason why WebDAV files added in gnome-online-accounts not showing up in gnome-files.

> > gnome-video-effects 

> This appears to be a codec pack or something (?), not an application. 

Not exactly. Provides apps for web cam etc.

>
>
> > The following gnome core applications are also already packaged in guix 
> > but requires correct renaming before adding to guix's gnome package? 
> > 
> > rhythmbox --> gnome-music 
> > shotwell --> gnome-photos 
> > 
>

> Parabola GNU/Linux-libre packaging shows that these are not the same 
> app and should not be renamed. 
>
> [florian@pelzflorian ~]$ pacman -Ss shotwell 
> community/shotwell 2:0.30.4-1 
>     A digital photo organizer designed for the GNOME desktop environment 
> [florian@pelzflorian ~]$ pacman -Ss gnome-photos 
> extra/gnome-photos 3.32.0-1 (gnome) 
>     Access, organize, and share your photos on GNOME 
> [florian@pelzflorian ~]$ pacman -Ss rhythmbox 
> extra/rhythmbox 3.4.3-1 
>     Music playback and management application 
> community/ario 1.6-1 
>     A GTK client for MPD inspired by Rhythmbox but much lighter and faster 
> [florian@pelzflorian ~]$ pacman -Ss gnome-music 
> extra/gnome-music 1:3.32.1-1 (gnome) 
>     Music player and management application 
>
>

Agreed. So they need to packaged and included separately.

> > The following gnome core applications have already been included in 
> > guix's gnome package but requires correct renaming? 
> > 
> > epiphany --> gnome-web 
> > envice --> gnome-documents 
> > eog --> gnome-images 
> > file-roller --> gnome-autoar 
> > gedit --> gnome-text 
> > nautilus --> gnome-files 
> > 

>
> Well, they have two names and others frequently refer to them by 
> e.g. Epiphany and not GNOME Web, including Epiphany developers. 
>
>

Hmm, but the app shows up as Web in GNOME.

> Of course, there are more non-packaged applications. 
>
> I also remember 
> https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3-22-core-apps/ 
> who says, for example, that gnome-tweaks is *not* core. 
>

What?? How else to enable/disable plugins/extensions in GNOME?

> > I really hope if the above modifications are made, it will fulfill the 
> > actual description of guix's gnome package (http://guix.gnu.org/package 
> > s/gnome-3.28.2/). ☺ 
> > 
>
> Yes, I agree, that should be the goal. 
>
> Regards, 
> Florian